Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.impl.wire

# Interface WireProtocolConstants

public interface WireProtocolConstants
Constants for wire protocol operations and messages.

Author:
  Mark Rotteveel

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `arch_generic`
  `static final int`
  `CNCT_client_crypt`
  `static final int`
  `CNCT_group`
  `static final int`
  `CNCT_host`
  `static final int`
  `CNCT_login`
  `static final int`
  `CNCT_passwd`
  `static final int`
  `CNCT_plugin_list`
  `static final int`
  `CNCT_plugin_name`
  `static final int`
  `CNCT_specific_data`
  `static final int`
  `CNCT_user`
  `static final int`
  `CNCT_user_verification`
  `static final int`
  `CONNECT_VERSION2`
  `static final int`
  `CONNECT_VERSION3`
  `static final int`
  `FB_PROTOCOL_FLAG`
  `static final int`
  `FB_PROTOCOL_MASK`
  `static final int`
  `INVALID_OBJECT`
  Object handle id that can be used to refer to a just created server-side object (for protocol versions supporting `ptype_lazy_send`).
  `static final int`
  `MAXIMUM_SUPPORTED_PROTOCOL_VERSION`
  `static final int`
  `MINIMUM_SUPPORTED_PROTOCOL_VERSION`
  `static final int`
  `op_abort_aux_connection`
  `static final int`
  `op_accept`
  `static final int`
  `op_accept_data`
  `static final int`
  `op_allocate_statement`
  `static final int`
  `op_attach`
  `static final int`
  `op_authenticate_user`
  `static final int`
  `op_aux_connect`
  `static final int`
  `op_batch_blob_stream`
  `static final int`
  `op_batch_cancel`
  `static final int`
  `op_batch_create`
  `static final int`
  `op_batch_cs`
  `static final int`
  `op_batch_exec`
  `static final int`
  `op_batch_msg`
  `static final int`
  `op_batch_regblob`
  `static final int`
  `op_batch_rls`
  `static final int`
  `op_batch_segments`
  `static final int`
  `op_batch_set_bpb`
  `static final int`
  `op_batch_sync`
  `static final int`
  `op_blocking`
  `static final int`
  `op_cancel`
  `static final int`
  `op_cancel_blob`
  `static final int`
  `op_cancel_events`
  `static final int`
  `op_close_blob`
  `static final int`
  `op_close_file`
  `static final int`
  `op_commit`
  `static final int`
  `op_commit_retaining`
  `static final int`
  `op_compile`
  `static final int`
  `op_cond_accept`
  `static final int`
  `op_connect`
  `static final int`
  `op_connect_request`
  `static final int`
  `op_cont_auth`
  `static final int`
  `op_continuation`
  `static final int`
  `op_convert_lock`
  `static final int`
  `op_create`
  `static final int`
  `op_create_blob`
  `static final int`
  `op_create_blob2`
  `static final int`
  `op_create_file`
  `static final int`
  `op_credit`
  `static final int`
  `op_crypt`
  `static final int`
  `op_crypt_key_callback`
  `static final int`
  `op_ddl`
  `static final int`
  `op_detach`
  `static final int`
  `op_disconnect`
  `static final int`
  `op_drop_database`
  `static final int`
  `op_dummy`
  `static final int`
  `op_event`
  `static final int`
  `op_exec_immediate`
  `static final int`
  `op_exec_immediate2`
  `static final int`
  `op_execute`
  `static final int`
  `op_execute2`
  `static final int`
  `op_exit`
  `static final int`
  `op_fetch`
  `static final int`
  `op_fetch_response`
  `static final int`
  `op_fetch_scroll`
  `static final int`
  `op_free_statement`
  `static final int`
  `op_get_segment`
  `static final int`
  `op_get_slice`
  `static final int`
  `op_info_batch`
  `static final int`
  `op_info_blob`
  `static final int`
  `op_info_cursor`
  `static final int`
  `op_info_database`
  `static final int`
  `op_info_request`
  `static final int`
  `op_info_sql`
  `static final int`
  `op_info_transaction`
  `static final int`
  `op_inline_blob`
  `static final int`
  `op_insert`
  `static final int`
  `op_lock`
  `static final int`
  `op_mgr_clear_affinity`
  `static final int`
  `op_mgr_report`
  `static final int`
  `op_mgr_set_affinity`
  `static final int`
  `op_open_blob`
  `static final int`
  `op_open_blob2`
  `static final int`
  `op_open_file`
  `static final int`
  `op_partial`
  `static final int`
  `op_ping`
  `static final int`
  `op_prepare`
  `static final int`
  `op_prepare_statement`
  `static final int`
  `op_prepare2`
  `static final int`
  `op_protocol`
  `static final int`
  `op_put_segment`
  `static final int`
  `op_put_slice`
  `static final int`
  `op_que_events`
  `static final int`
  `op_read_page`
  `static final int`
  `op_receive`
  `static final int`
  `op_reconnect`
  `static final int`
  `op_reject`
  `static final int`
  `op_release`
  `static final int`
  `op_release_lock`
  `static final int`
  `op_repl_data`
  `static final int`
  `op_repl_req`
  `static final int`
  `op_response`
  `static final int`
  `op_response_piggyback`
  `static final int`
  `op_rollback`
  `static final int`
  `op_rollback_retaining`
  `static final int`
  `op_seek_blob`
  `static final int`
  `op_send`
  `static final int`
  `op_service_attach`
  `static final int`
  `op_service_detach`
  `static final int`
  `op_service_info`
  `static final int`
  `op_service_start`
  `static final int`
  `op_set_cursor`
  `static final int`
  `op_slice`
  `static final int`
  `op_sql_response`
  `static final int`
  `op_start`
  `static final int`
  `op_start_and_receive`
  `static final int`
  `op_start_and_send`
  `static final int`
  `op_start_send_and_receive`
  `static final int`
  `op_transact`
  `static final int`
  `op_transact_response`
  `static final int`
  `op_transaction`
  `static final int`
  `op_trusted_auth`
  `static final int`
  `op_unwind`
  `static final int`
  `op_update_account_info`
  `static final int`
  `op_void`
  `static final int`
  `op_write_page`
  `static final int`
  `P_REQ_async`
  `static final int`
  `pflag_compress`
  `static final int`
  `PROTOCOL_VERSION10`
  `static final int`
  `PROTOCOL_VERSION11`
  `static final int`
  `PROTOCOL_VERSION12`
  `static final int`
  `PROTOCOL_VERSION13`
  `static final int`
  `PROTOCOL_VERSION14`
  `static final int`
  `PROTOCOL_VERSION15`
  `static final int`
  `PROTOCOL_VERSION16`
  `static final int`
  `PROTOCOL_VERSION17`
  `static final int`
  `PROTOCOL_VERSION18`
  `static final int`
  `PROTOCOL_VERSION19`
  `static final int`
  `ptype_batch_send`
  `static final int`
  `ptype_lazy_send`
  `static final int`
  `ptype_MASK`
  `static final int`
  `ptype_out_of_band`
  `static final int`
  `ptype_rpc`
  `static final int`
  `TAG_KEY_PLUGINS`
  `static final int`
  `TAG_KEY_TYPE`
  `static final int`
  `TAG_KNOWN_PLUGINS`
  `static final int`
  `TAG_PLUGIN_SPECIFIC`
  `static final int`
  `WIRE_CRYPT_DISABLED`
  `static final int`
  `WIRE_CRYPT_ENABLED`
  `static final int`
  `WIRE_CRYPT_REQUIRED`

- ## Field Details

  - ### INVALID_OBJECT

    static final int INVALID_OBJECT
    Object handle id that can be used to refer to a just created server-side object (for protocol versions supporting `ptype_lazy_send`).

    This can be used to pipeline the creation of an object with the subsequent use of that object without waiting on the server response with the actual handle id.

    See Also:
      - Constant Field Values

  - ### op_void

    static final int op_void
    See Also:
      - Constant Field Values

  - ### op_connect

    static final int op_connect
    See Also:
      - Constant Field Values

  - ### op_exit

    static final int op_exit
    See Also:
      - Constant Field Values

  - ### op_accept

    static final int op_accept
    See Also:
      - Constant Field Values

  - ### op_reject

    static final int op_reject
    See Also:
      - Constant Field Values

  - ### op_protocol

    static final int op_protocol
    See Also:
      - Constant Field Values

  - ### op_disconnect

    static final int op_disconnect
    See Also:
      - Constant Field Values

  - ### op_credit

    static final int op_credit
    See Also:
      - Constant Field Values

  - ### op_continuation

    static final int op_continuation
    See Also:
      - Constant Field Values

  - ### op_response

    static final int op_response
    See Also:
      - Constant Field Values

  - ### op_open_file

    static final int op_open_file
    See Also:
      - Constant Field Values

  - ### op_create_file

    static final int op_create_file
    See Also:
      - Constant Field Values

  - ### op_close_file

    static final int op_close_file
    See Also:
      - Constant Field Values

  - ### op_read_page

    static final int op_read_page
    See Also:
      - Constant Field Values

  - ### op_write_page

    static final int op_write_page
    See Also:
      - Constant Field Values

  - ### op_lock

    static final int op_lock
    See Also:
      - Constant Field Values

  - ### op_convert_lock

    static final int op_convert_lock
    See Also:
      - Constant Field Values

  - ### op_release_lock

    static final int op_release_lock
    See Also:
      - Constant Field Values

  - ### op_blocking

    static final int op_blocking
    See Also:
      - Constant Field Values

  - ### op_attach

    static final int op_attach
    See Also:
      - Constant Field Values

  - ### op_create

    static final int op_create
    See Also:
      - Constant Field Values

  - ### op_detach

    static final int op_detach
    See Also:
      - Constant Field Values

  - ### op_compile

    static final int op_compile
    See Also:
      - Constant Field Values

  - ### op_start

    static final int op_start
    See Also:
      - Constant Field Values

  - ### op_start_and_send

    static final int op_start_and_send
    See Also:
      - Constant Field Values

  - ### op_send

    static final int op_send
    See Also:
      - Constant Field Values

  - ### op_receive

    static final int op_receive
    See Also:
      - Constant Field Values

  - ### op_unwind

    static final int op_unwind
    See Also:
      - Constant Field Values

  - ### op_release

    static final int op_release
    See Also:
      - Constant Field Values

  - ### op_transaction

    static final int op_transaction
    See Also:
      - Constant Field Values

  - ### op_commit

    static final int op_commit
    See Also:
      - Constant Field Values

  - ### op_rollback

    static final int op_rollback
    See Also:
      - Constant Field Values

  - ### op_prepare

    static final int op_prepare
    See Also:
      - Constant Field Values

  - ### op_reconnect

    static final int op_reconnect
    See Also:
      - Constant Field Values

  - ### op_create_blob

    static final int op_create_blob
    See Also:
      - Constant Field Values

  - ### op_open_blob

    static final int op_open_blob
    See Also:
      - Constant Field Values

  - ### op_get_segment

    static final int op_get_segment
    See Also:
      - Constant Field Values

  - ### op_put_segment

    static final int op_put_segment
    See Also:
      - Constant Field Values

  - ### op_cancel_blob

    static final int op_cancel_blob
    See Also:
      - Constant Field Values

  - ### op_close_blob

    static final int op_close_blob
    See Also:
      - Constant Field Values

  - ### op_info_database

    static final int op_info_database
    See Also:
      - Constant Field Values

  - ### op_info_request

    static final int op_info_request
    See Also:
      - Constant Field Values

  - ### op_info_transaction

    static final int op_info_transaction
    See Also:
      - Constant Field Values

  - ### op_info_blob

    static final int op_info_blob
    See Also:
      - Constant Field Values

  - ### op_batch_segments

    static final int op_batch_segments
    See Also:
      - Constant Field Values

  - ### op_mgr_set_affinity

    static final int op_mgr_set_affinity
    See Also:
      - Constant Field Values

  - ### op_mgr_clear_affinity

    static final int op_mgr_clear_affinity
    See Also:
      - Constant Field Values

  - ### op_mgr_report

    static final int op_mgr_report
    See Also:
      - Constant Field Values

  - ### op_que_events

    static final int op_que_events
    See Also:
      - Constant Field Values

  - ### op_cancel_events

    static final int op_cancel_events
    See Also:
      - Constant Field Values

  - ### op_commit_retaining

    static final int op_commit_retaining
    See Also:
      - Constant Field Values

  - ### op_prepare2

    static final int op_prepare2
    See Also:
      - Constant Field Values

  - ### op_event

    static final int op_event
    See Also:
      - Constant Field Values

  - ### op_connect_request

    static final int op_connect_request
    See Also:
      - Constant Field Values

  - ### op_aux_connect

    static final int op_aux_connect
    See Also:
      - Constant Field Values

  - ### op_ddl

    static final int op_ddl
    See Also:
      - Constant Field Values

  - ### op_open_blob2

    static final int op_open_blob2
    See Also:
      - Constant Field Values

  - ### op_create_blob2

    static final int op_create_blob2
    See Also:
      - Constant Field Values

  - ### op_get_slice

    static final int op_get_slice
    See Also:
      - Constant Field Values

  - ### op_put_slice

    static final int op_put_slice
    See Also:
      - Constant Field Values

  - ### op_slice

    static final int op_slice
    See Also:
      - Constant Field Values

  - ### op_seek_blob

    static final int op_seek_blob
    See Also:
      - Constant Field Values

  - ### op_allocate_statement

    static final int op_allocate_statement
    See Also:
      - Constant Field Values

  - ### op_execute

    static final int op_execute
    See Also:
      - Constant Field Values

  - ### op_exec_immediate

    static final int op_exec_immediate
    See Also:
      - Constant Field Values

  - ### op_fetch

    static final int op_fetch
    See Also:
      - Constant Field Values

  - ### op_fetch_response

    static final int op_fetch_response
    See Also:
      - Constant Field Values

  - ### op_free_statement

    static final int op_free_statement
    See Also:
      - Constant Field Values

  - ### op_prepare_statement

    static final int op_prepare_statement
    See Also:
      - Constant Field Values

  - ### op_set_cursor

    static final int op_set_cursor
    See Also:
      - Constant Field Values

  - ### op_info_sql

    static final int op_info_sql
    See Also:
      - Constant Field Values

  - ### op_dummy

    static final int op_dummy
    See Also:
      - Constant Field Values

  - ### op_response_piggyback

    static final int op_response_piggyback
    See Also:
      - Constant Field Values

  - ### op_start_and_receive

    static final int op_start_and_receive
    See Also:
      - Constant Field Values

  - ### op_start_send_and_receive

    static final int op_start_send_and_receive
    See Also:
      - Constant Field Values

  - ### op_exec_immediate2

    static final int op_exec_immediate2
    See Also:
      - Constant Field Values

  - ### op_execute2

    static final int op_execute2
    See Also:
      - Constant Field Values

  - ### op_insert

    static final int op_insert
    See Also:
      - Constant Field Values

  - ### op_sql_response

    static final int op_sql_response
    See Also:
      - Constant Field Values

  - ### op_transact

    static final int op_transact
    See Also:
      - Constant Field Values

  - ### op_transact_response

    static final int op_transact_response
    See Also:
      - Constant Field Values

  - ### op_drop_database

    static final int op_drop_database
    See Also:
      - Constant Field Values

  - ### op_service_attach

    static final int op_service_attach
    See Also:
      - Constant Field Values

  - ### op_service_detach

    static final int op_service_detach
    See Also:
      - Constant Field Values

  - ### op_service_info

    static final int op_service_info
    See Also:
      - Constant Field Values

  - ### op_service_start

    static final int op_service_start
    See Also:
      - Constant Field Values

  - ### op_rollback_retaining

    static final int op_rollback_retaining
    See Also:
      - Constant Field Values

  - ### op_update_account_info

    static final int op_update_account_info
    See Also:
      - Constant Field Values

  - ### op_authenticate_user

    static final int op_authenticate_user
    See Also:
      - Constant Field Values

  - ### op_partial

    static final int op_partial
    See Also:
      - Constant Field Values

  - ### op_trusted_auth

    static final int op_trusted_auth
    See Also:
      - Constant Field Values

  - ### op_cancel

    static final int op_cancel
    See Also:
      - Constant Field Values

  - ### op_cont_auth

    static final int op_cont_auth
    See Also:
      - Constant Field Values

  - ### op_ping

    static final int op_ping
    See Also:
      - Constant Field Values

  - ### op_accept_data

    static final int op_accept_data
    See Also:
      - Constant Field Values

  - ### op_abort_aux_connection

    static final int op_abort_aux_connection
    See Also:
      - Constant Field Values

  - ### op_crypt

    static final int op_crypt
    See Also:
      - Constant Field Values

  - ### op_crypt_key_callback

    static final int op_crypt_key_callback
    See Also:
      - Constant Field Values

  - ### op_cond_accept

    static final int op_cond_accept
    See Also:
      - Constant Field Values

  - ### op_batch_create

    static final int op_batch_create
    See Also:
      - Constant Field Values

  - ### op_batch_msg

    static final int op_batch_msg
    See Also:
      - Constant Field Values

  - ### op_batch_exec

    static final int op_batch_exec
    See Also:
      - Constant Field Values

  - ### op_batch_rls

    static final int op_batch_rls
    See Also:
      - Constant Field Values

  - ### op_batch_cs

    static final int op_batch_cs
    See Also:
      - Constant Field Values

  - ### op_batch_regblob

    static final int op_batch_regblob
    See Also:
      - Constant Field Values

  - ### op_batch_blob_stream

    static final int op_batch_blob_stream
    See Also:
      - Constant Field Values

  - ### op_batch_set_bpb

    static final int op_batch_set_bpb
    See Also:
      - Constant Field Values

  - ### op_repl_data

    static final int op_repl_data
    See Also:
      - Constant Field Values

  - ### op_repl_req

    static final int op_repl_req
    See Also:
      - Constant Field Values

  - ### op_batch_cancel

    static final int op_batch_cancel
    See Also:
      - Constant Field Values

  - ### op_batch_sync

    static final int op_batch_sync
    See Also:
      - Constant Field Values

  - ### op_info_batch

    static final int op_info_batch
    See Also:
      - Constant Field Values

  - ### op_fetch_scroll

    static final int op_fetch_scroll
    See Also:
      - Constant Field Values

  - ### op_info_cursor

    static final int op_info_cursor
    See Also:
      - Constant Field Values

  - ### op_inline_blob

    static final int op_inline_blob
    See Also:
      - Constant Field Values

  - ### CONNECT_VERSION2

    static final int CONNECT_VERSION2
    See Also:
      - Constant Field Values

  - ### CONNECT_VERSION3

    static final int CONNECT_VERSION3
    See Also:
      - Constant Field Values

  - ### PROTOCOL_VERSION10

    static final int PROTOCOL_VERSION10
    See Also:
      - Constant Field Values

  - ### FB_PROTOCOL_FLAG

    static final int FB_PROTOCOL_FLAG
    See Also:
      - Constant Field Values

  - ### FB_PROTOCOL_MASK

    static final int FB_PROTOCOL_MASK
    See Also:
      - Constant Field Values

  - ### PROTOCOL_VERSION11

    static final int PROTOCOL_VERSION11
    See Also:
      - Constant Field Values

  - ### PROTOCOL_VERSION12

    static final int PROTOCOL_VERSION12
    See Also:
      - Constant Field Values

  - ### PROTOCOL_VERSION13

    static final int PROTOCOL_VERSION13
    See Also:
      - Constant Field Values

  - ### PROTOCOL_VERSION14

    static final int PROTOCOL_VERSION14
    See Also:
      - Constant Field Values

  - ### PROTOCOL_VERSION15

    static final int PROTOCOL_VERSION15
    See Also:
      - Constant Field Values

  - ### PROTOCOL_VERSION16

    static final int PROTOCOL_VERSION16
    See Also:
      - Constant Field Values

  - ### PROTOCOL_VERSION17

    static final int PROTOCOL_VERSION17
    See Also:
      - Constant Field Values

  - ### PROTOCOL_VERSION18

    static final int PROTOCOL_VERSION18
    See Also:
      - Constant Field Values

  - ### PROTOCOL_VERSION19

    static final int PROTOCOL_VERSION19
    See Also:
      - Constant Field Values

  - ### MINIMUM_SUPPORTED_PROTOCOL_VERSION

    static final int MINIMUM_SUPPORTED_PROTOCOL_VERSION
    See Also:
      - Constant Field Values

  - ### MAXIMUM_SUPPORTED_PROTOCOL_VERSION

    static final int MAXIMUM_SUPPORTED_PROTOCOL_VERSION
    See Also:
      - Constant Field Values

  - ### arch_generic

    static final int arch_generic
    See Also:
      - Constant Field Values

  - ### CNCT_user

    static final int CNCT_user
    See Also:
      - Constant Field Values

  - ### CNCT_passwd

    static final int CNCT_passwd
    See Also:
      - Constant Field Values

  - ### CNCT_host

    static final int CNCT_host
    See Also:
      - Constant Field Values

  - ### CNCT_group

    static final int CNCT_group
    See Also:
      - Constant Field Values

  - ### CNCT_user_verification

    static final int CNCT_user_verification
    See Also:
      - Constant Field Values

  - ### CNCT_specific_data

    static final int CNCT_specific_data
    See Also:
      - Constant Field Values

  - ### CNCT_plugin_name

    static final int CNCT_plugin_name
    See Also:
      - Constant Field Values

  - ### CNCT_login

    static final int CNCT_login
    See Also:
      - Constant Field Values

  - ### CNCT_plugin_list

    static final int CNCT_plugin_list
    See Also:
      - Constant Field Values

  - ### CNCT_client_crypt

    static final int CNCT_client_crypt
    See Also:
      - Constant Field Values

  - ### WIRE_CRYPT_DISABLED

    static final int WIRE_CRYPT_DISABLED
    See Also:
      - Constant Field Values

  - ### WIRE_CRYPT_ENABLED

    static final int WIRE_CRYPT_ENABLED
    See Also:
      - Constant Field Values

  - ### WIRE_CRYPT_REQUIRED

    static final int WIRE_CRYPT_REQUIRED
    See Also:
      - Constant Field Values

  - ### TAG_KEY_TYPE

    static final int TAG_KEY_TYPE
    See Also:
      - Constant Field Values

  - ### TAG_KEY_PLUGINS

    static final int TAG_KEY_PLUGINS
    See Also:
      - Constant Field Values

  - ### TAG_KNOWN_PLUGINS

    static final int TAG_KNOWN_PLUGINS
    See Also:
      - Constant Field Values

  - ### TAG_PLUGIN_SPECIFIC

    static final int TAG_PLUGIN_SPECIFIC
    See Also:
      - Constant Field Values

  - ### ptype_rpc

    static final int ptype_rpc
    See Also:
      - Constant Field Values

  - ### ptype_batch_send

    static final int ptype_batch_send
    See Also:
      - Constant Field Values

  - ### ptype_out_of_band

    static final int ptype_out_of_band
    See Also:
      - Constant Field Values

  - ### ptype_lazy_send

    static final int ptype_lazy_send
    See Also:
      - Constant Field Values

  - ### ptype_MASK

    static final int ptype_MASK
    See Also:
      - Constant Field Values

  - ### pflag_compress

    static final int pflag_compress
    See Also:
      - Constant Field Values

  - ### P_REQ_async

    static final int P_REQ_async
    See Also:
      - Constant Field Values